<?php
/*
  $Id: orders_avoir.php,18 Décembre 2010 By brouillard s'embrouille

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce

  Released under the GNU General Public License
*/

//cette contrib fonctionne en parallèle avec la contrib (Professional Invoice and Packing Slip)
  require('includes/application_top.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

  include(DIR_WS_CLASSES . 'order_avoir.php');
  $order = new order_avoir($HTTP_GET_VARS['oID']);

  $orders_statuses = array();
  $orders_status_array = array();
  $orders_status_query = tep_db_query("select orders_status_id, orders_status_name from " . TABLE_ORDERS_STATUS . " where language_id = '" . (int)$languages_id . "'");
  while ($orders_status = tep_db_fetch_array($orders_status_query)) {
    $orders_statuses[] = array('id' => $orders_status['orders_status_id'],
                               'text' => $orders_status['orders_status_name']);
    $orders_status_array[$orders_status['orders_status_id']] = $orders_status['orders_status_name'];
  }

  $action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {
      case 'update_order':
        $oID = tep_db_prepare_input($HTTP_GET_VARS['oID']);
        $status = tep_db_prepare_input($HTTP_POST_VARS['status']);
        $comments = tep_db_prepare_input($HTTP_POST_VARS['comments']);

        $order_avoir_query = tep_db_query("select orders_avoir_id from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");
        $order_avoir_id = tep_db_fetch_array($order_avoir_query);

/* #CHAVEIRO3# Tracking begin
     $track_num = tep_db_prepare_input($HTTP_POST_VARS['track_num']);
     $track_num2 = tep_db_prepare_input($HTTP_POST_VARS['track_num2']);    
#CHAVEIRO3# Tracking end*/

        $order_updated = false;
        $check_status_query = tep_db_query("select customers_name, customers_email_address, orders_status, date_purchased from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");
        $check_status = tep_db_fetch_array($check_status_query);

        if ( ($check_status['orders_status'] != $status) || tep_not_null($comments)) {
          tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . tep_db_input($status) . "', last_modified = now() where orders_id = '" . (int)$oID . "'");

          $customer_notified = '0';
          if (isset($HTTP_POST_VARS['notify']) && ($HTTP_POST_VARS['notify'] == 'on')) {
            $notify_comments = '';
            if (isset($HTTP_POST_VARS['notify_comments']) && ($HTTP_POST_VARS['notify_comments'] == 'on')) {
              $notify_comments = sprintf(EMAIL_TEXT_COMMENTS_UPDATE, $comments) . "\n\n";
            }

             /* #CHAVEIRO3# Tracking contribution begin #ZOULXP#*/
$notify_tracking = '';
/*if ((isset($HTTP_POST_VARS['notify_tracking']) && ($HTTP_POST_VARS['notify_tracking'] == 'on')) & (tep_not_null($track_num))) {
  $notify_tracking = sprintf(EMAIL_TEXT_TRACKING_NUMBER) . '<br>' . URL_TO_TRACK1 . $track_num. '<br><br>';
   }

if ((isset($HTTP_POST_VARS['notify_tracking']) && ($HTTP_POST_VARS['notify_tracking'] == 'on')) & (tep_not_null($track_num2))) {
  $notify_tracking = sprintf(EMAIL_TEXT_TRACKING_NUMBER) . '<br>' . URL_TO_TRACK2 . $track_num2. '<br><br>';
   }*/

//preparation options et produits du mail
    $products_ordered = '';
    for ($i = 0, $n = sizeof($order->products); $i < $n; $i++) {

        $products_ordered_attributes = '';
        for($j = 0; $j < sizeof($order->products[$i]['attributes']); $j++) {

          if ($order->products[$i]['attributes'][$j]['option'] != '') {
             $products_ordered_attributes .= '<br>&nbsp;&nbsp;- ' . $order->products[$i]['attributes'][$j]['option'] . ' ' . $order->products[$i]['attributes'][$j]['value'];
         }
        }

        $products_ordered .= $order->products[$i]['qty'] . ' x ' . $order->products[$i]['name'];
        if ($order->products[$i]['model'] != '') $products_ordered .= ' (' . $order->products[$i]['model'] . ')';
        $products_ordered .= ' = ' . $currencies->display_price($order->products[$i]['final_price'], $order->products[$i]['tax'], $order->products[$i]['qty']) . $products_ordered_attributes . '<br>';
       }

           $email = EMAIL_START_HTML;
           $email .= EMAIL_SPAN_START_STYLE;

           $email .= STORE_NAME . '<br>' . EMAIL_SEPARATOR . '<br>' . EMAIL_TEXT_ORDER_NUMBER . ' ' . $order_avoir_id['orders_avoir_id'] . '<br>' . EMAIL_TEXT_INVOICE_URL . ' ' . '<a href="' . tep_catalog_href_link(FILENAME_CATALOG_ACCOUNT_HISTORY_INFO, 'order_id=' . $oID, 'SSL') . '">' . tep_catalog_href_link(FILENAME_CATALOG_ACCOUNT_HISTORY_INFO, 'order_id=' . $oID, 'SSL') . '</a>' . '<br>' . EMAIL_TEXT_DATE_ORDERED . ' ' . tep_date_long($check_status['date_purchased']) . '<br><br>' . EMAIL_SEPARATOR . '<br>' . EMAIL_TEXT_PRODUCTS . '<br>' . 
                  $products_ordered . EMAIL_SEPARATOR . '<br>';

       for ($i = 0, $n = sizeof($order->totals); $i < $n; $i++) {
           $email .=  $order->totals[$i]['title'] . ' ' . $order->totals[$i]['text'] . '<br>';
          }

      if ($notify_tracking != '')
           $email .= '<br>' . EMAIL_TEXT_TRACKING_NUMBER . '<br>' . $notify_tracking . '<br>';

      if ($comments != '')
           $email .= '<br>' . $notify_comments;

           $email .= '<br>' . sprintf(EMAIL_TEXT_STATUS_UPDATE, $orders_status_array[$status]);

           $email .= EMAIL_SPAN_STOP_STYLE;
           $email .= EMAIL_STOP_HTML;

            tep_mail($check_status['customers_name'], $check_status['customers_email_address'], sprintf(EMAIL_TEXT_SUBJECT, $order_avoir_id['orders_avoir_id']), $email, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

            $customer_notified = '1';
          }

         tep_db_query("insert into " . TABLE_ORDERS_STATUS_HISTORY . " (orders_id, orders_status_id, date_added, customer_notified, comments) values ('" . (int)$oID . "', '" . tep_db_input($status) . "', now(), '" . tep_db_input($customer_notified) . "', '" . tep_db_input($comments)  . "')");

          $order_updated = true;
        }

        if ($order_updated == true) {
         $messageStack->add_session(SUCCESS_ORDER_UPDATED, 'success');
        } else {
          $messageStack->add_session(WARNING_ORDER_NOT_UPDATED, 'warning');
        }

       tep_redirect(tep_href_link(FILENAME_ORDERS_AVOIR, 'oID='.$oID));
        break;

// ################# commande d'avoir ##################
      case 'add_order':

//insertion de la commande dans la table ORDERS
$sql_data_array = array('customers_id' => $order->customer['customers_id'],
                              'customers_name' => $order->customer['name'],
                              'customers_company' => $order->customer['company'],
                              'customers_street_address' => $order->customer['street_address'],
                              'customers_suburb' => $order->customer['suburb'],
                              'customers_city' => $order->customer['city'],
                              'customers_postcode' => $order->customer['postcode'],
                              'customers_state' => $order->customer['state'],
                              'customers_country' => $order->customer['country'],
                              'customers_address_format_id' => $order->customer['format_id'],
                              'customers_telephone' => $order->customer['telephone'],
                              'customers_email_address' => $order->customer['email_address'], 
                          'delivery_name' => $order->delivery['name'],
                              'delivery_company' => $order->delivery['company'],
                              'delivery_street_address' => $order->delivery['street_address'],
                              'delivery_suburb' => $order->delivery['suburb'],
                              'delivery_city' => $order->delivery['city'],
                              'delivery_postcode' => $order->delivery['postcode'],
                              'delivery_state' => $order->delivery['state'],
                              'delivery_country' => $order->delivery['country'],
                              'delivery_address_format_id' => $order->delivery['format_id'], 
                          'billing_name' => $order->billing['name'],
                             'billing_company' => $order->billing['company'],
                             'billing_street_address' => $order->billing['street_address'],
                             'billing_suburb' => $order->billing['suburb'],
                             'billing_city' => $order->billing['city'],
                             'billing_postcode' => $order->billing['postcode'],
                             'billing_state' => $order->billing['state'],
                             'billing_country' => $order->billing['country'],
                             'billing_address_format_id' => $order->billing['format_id'], 
                          'currency' => $order->info['currency'],
                             'currency_value' => $order->info['currency_value'],
                             'payment_method' => $order->info['payment_method'],
                             'cc_type' => $order->info['cc_type'],
                             'cc_owner' => $order->info['cc_owner'],
                             'cc_number' => $order->info['cc_number'],
                             'cc_expires' => $order->info['cc_expires'],
                             'date_purchased' => $order->info['date_purchased'],
                             'orders_status' => DEFAULT_ORDERS_STATUS,
                             'last_modified' => $order->info['last_modified'],
                             'orders_avoir_id' => $oID);

  tep_db_perform(TABLE_ORDERS, $sql_data_array);
  $orders_id = tep_db_insert_id();

//insertion des produits dans la table ORDERS_PRODUCTS
    for ($i = 0, $n = sizeof($order->products); $i < $n; $i++) {
    $sql_data_array = array('orders_id' => (int)$orders_id, 
                            'products_id' => (int)$order->products[$i]['products_id'], 
                            'products_model' => $order->products[$i]['model'], 
                            'products_name' => $order->products[$i]['name'], 
                            'products_price' => (float)$order->products[$i]['price'], 
                            'final_price' => (float)$order->products[$i]['final_price'], 
                            'products_tax' => (float)$order->products[$i]['tax'], 
                            'products_quantity' =>  '-' . (int)$order->products[$i]['qty']);

    tep_db_perform(TABLE_ORDERS_PRODUCTS, $sql_data_array);
    $order_products_id = tep_db_insert_id();

//insertion des attributs dans la table ORDERS_PRODUCTS_ATTRIBUTES
        for($j = 0; $j < sizeof($order->products[$i]['attributes']); $j++) {
        $sql_data_array = array('orders_id' => $orders_id, 
                                'orders_products_id' => $order_products_id, 
                                'products_options' => $order->products[$i]['attributes'][$j]['option'],
                                'products_options_values' => $order->products[$i]['attributes'][$j]['value'], 
                                'options_values_price' => $order->products[$i]['attributes'][$j]['price'], 
                                'price_prefix' => '');

      if ($sql_data_array['products_options_values'] != '') {
      tep_db_perform(TABLE_ORDERS_PRODUCTS_ATTRIBUTES, $sql_data_array);
         }
        }

//mise a jour du Stock dans la table PRODUCTS
        tep_db_query("update " . TABLE_PRODUCTS . " set products_quantity = (products_quantity + '" . (int)$order->products[$i]['qty'] . "') where products_id = '" . (int)$order->products[$i]['products_id'] . "'");
     } //for produits

//fdp, sous_total, tax et total ...........................
         for ($i = 0; $i < sizeof($order->totals); $i++) {
         $sql_data_array = array('orders_id' => $orders_id, 
                                'title' => $order->totals[$i]['title'], 
                                'text' => '-' . $order->totals[$i]['text'],
                                'value' => '-' . (float)($order->totals[$i]['value']), 
                                'class' => $order->totals[$i]['class'], 
                                'sort_order' => $order->totals[$i]['sort_order']);

         tep_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array);
        }

//Status de la commande par défaut
         $sql_data_array = array('orders_id' => $orders_id, 
                                'orders_status_id' => DEFAULT_ORDERS_STATUS, 
                                'date_added' => $order->info['date_purchased'],
                                'customer_notified' => 1, 
                                'comments' => '');

         tep_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data_array);

         tep_redirect(tep_href_link(FILENAME_ORDERS, 'oID='.$orders_id));
        break;

// ################# verifier si l'avoir existe ##################
     case 'edit_order':

     $orders_avoir = tep_db_query("select orders_avoir_id from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");
      $orders_avoir_id = tep_db_fetch_array($orders_avoir);

      if ($orders_avoir_id['orders_avoir_id'] == '') {
          $messageStack->add_session(ERROR_ORDER_DOES_NOT_EXIST, 'warning');
        tep_redirect(tep_href_link(FILENAME_ORDERS, 'oID='.$oID));
       }
    break;

// ################# Mis à jour des quantités des produits ##################
      case 'maj_order':

        $orders_products_id_maj = tep_db_prepare_input($HTTP_POST_VARS['forders_products_id_maj']);
        $products_quantite = tep_db_prepare_input($HTTP_POST_VARS['fproducts_quantite_maj']);
        $fdp_prix = tep_db_prepare_input($HTTP_POST_VARS['ffdp_prix']);
        $ffdp_titre = tep_db_prepare_input($HTTP_POST_VARS['ffdp_titre']);

      for ($i = 0; $i < sizeof($orders_products_id_maj); $i++) {
          tep_db_query("update " . TABLE_ORDERS_PRODUCTS . " set products_quantity = '" . (int)(tep_db_input($products_quantite[$i])) . "' where orders_products_id = '" . (int)$orders_products_id_maj[$i] . "'");
         }

// .........sommes des taxes par groupe ......................
      for ($i = 0; $i < sizeof($order->products); $i++) {
          $orders_products_query = tep_db_query("select products_tax, sum(final_price*products_tax*products_quantity)/100 as total_tax from " . TABLE_ORDERS_PRODUCTS . " where products_tax = '" . $order->products[$i]['tax'] . "' and orders_id = '" . (int)$oID . "'");
          $orders_products = tep_db_fetch_array($orders_products_query);

          $products_tax[] = $orders_products['products_tax'];
          $products_tax_rate = array_values(array_unique($products_tax));
          $total_tax[] = $orders_products['total_tax'];
          $tax_somme_group = array_values(array_unique($total_tax));
         }

         for ($i = 0; $i < sizeof($products_tax_rate); $i++) {
             $taxs_description_query = tep_db_query("select tax_description from " . TABLE_TAX_RATES . " where tax_rate = '" . $products_tax_rate[$i] . "'");
             $taxs_description = tep_db_fetch_array($taxs_description_query);

             tep_db_query("update " . TABLE_ORDERS_TOTAL . " set text = '" . tep_db_input($currencies->format($tax_somme_group[$i], true)) . "', value = '" . (float)tep_db_input($tax_somme_group[$i]) . "' where class = 'ot_tax' and orders_id = '" . (int)$oID . "' and title = '" . $taxs_description['tax_description'] . ":'");
            }

           tep_db_query("delete from " . TABLE_ORDERS_TOTAL . " where class = 'ot_tax' and orders_id = '" . (int)$oID . "' and value = 0");

// .............. frais de port ..........................
          if ($fdp_prix != '') {
             tep_db_query("update " . TABLE_ORDERS_TOTAL . " set text = '" . tep_db_input($currencies->format($fdp_prix[0], true)) . "', value = '" . (float)tep_db_input($fdp_prix[0]) . "', title = '" . tep_db_input($ffdp_titre[0]) . "' where class = 'ot_shipping' and orders_id = '" . (int)$oID . "'");
             }

//................ Sous_Total TTC ................................
      for ($i = 0; $i < sizeof($order->products); $i++) {
          $orders_products_query = tep_db_query("select sum((final_price*products_tax*products_quantity)/100) + sum(final_price*products_quantity) as sous_total from " . TABLE_ORDERS_PRODUCTS . " where products_tax = '" . $order->products[$i]['tax'] . "' and orders_id = '" . (int)$oID . "'");
          while ($orders_products = tep_db_fetch_array($orders_products_query)) {

          $sous_total[] = $orders_products['sous_total'];
          $sous_total_ttc = array_sum(array_unique($sous_total));
         }
        }

             tep_db_query("update " . TABLE_ORDERS_TOTAL . " set text = '" . tep_db_input($currencies->format($sous_total_ttc, true)) . "', value = '" . (float)tep_db_input($sous_total_ttc) . "' where class = 'ot_subtotal' and orders_id = '" . (int)$oID . "'");

// .................. Total TTC .................................
        $fdp_query = tep_db_query("select value from " . TABLE_ORDERS_TOTAL . " where orders_id = '" . (int)$oID . "' and class = 'ot_shipping'"); $fdp = tep_db_fetch_array($fdp_query);

        $total_ttc = (float)$sous_total_ttc + (float)$fdp['value'];

             tep_db_query("update " . TABLE_ORDERS_TOTAL . " set text = '<b>" . tep_db_input($currencies->format($total_ttc, true)) . "</b>', value = '" . (float)tep_db_input($total_ttc) . "' where class = 'ot_total' and orders_id = '" . (int)$oID . "'");

       tep_redirect(tep_href_link(FILENAME_ORDERS_AVOIR, 'oID='.$oID));

        break;
// ################## Fin Mis à jour ###################

// ################# supprimer un produit #############################
      case 'remove_products':
           $remove_products_id = $HTTP_GET_VARS['remove_products_id'];

           $remove_products_query = tep_db_query("select products_id, products_quantity, products_tax from " . TABLE_ORDERS_PRODUCTS . " where orders_products_id = '" . (int)$remove_products_id . "'");
           $remove_products = tep_db_fetch_array($remove_products_query);

           $update_tax_description_query = tep_db_query("select tax_description from " . TABLE_TAX_RATES . " where tax_rate = '" . $remove_products['products_tax'] . "'");
           $update_tax_description = tep_db_fetch_array($update_tax_description_query);

           tep_db_query("update " . TABLE_ORDERS_TOTAL . " set text = '" . $currencies->format(0, true) . "', value = 0 where class = 'ot_tax' and orders_id = '" . (int)$oID . "' and title = '" . $update_tax_description['tax_description'] . ":'");

           tep_db_query("delete from " . TABLE_ORDERS_PRODUCTS . " where orders_products_id = '" .  $remove_products_id . "' and orders_id = '" . (int)$oID . "'");

           tep_db_query("delete from " . TABLE_ORDERS_PRODUCTS_ATTRIBUTES . " where orders_products_id = '" .  $remove_products_id . "' and orders_id = '" . (int)$oID . "'");

//mise a jour du Stock dans la table PRODUCTS
        tep_db_query("update " . TABLE_PRODUCTS . " set products_quantity = (products_quantity + '" . (int)$remove_products['products_quantity'] . "') where products_id = '" . (int)$remove_products['products_id'] . "'");

//           $messageStack->add_session(SUCCESS_ORDER_UPDATED, 'success');

        tep_redirect(tep_href_link(FILENAME_ORDERS_AVOIR, tep_get_all_get_params(array('action')) . 'action=maj_order'));
        break;

// #################### Ajouter un produit ######################
      case 'ajouter':

        $fidproduit = tep_db_prepare_input($HTTP_POST_VARS['fmenu_products']);
        $attributes_options_id = tep_db_prepare_input($HTTP_POST_VARS['attributes_options_id']);
        $products_quantite = tep_db_prepare_input($HTTP_POST_VARS['fproducts_quantite_add']);

        $shoppingCart = new shoppingCart;
        $shoppingCart->contents[$fidproduit] = array('qty' => $products_quantite);
        if (is_array($attributes_options_id)) {
        reset($attributes_options_id);
        while (list($options_id, $options_values_id) = each($attributes_options_id)) {
        $shoppingCart->contents[$fidproduit]['attributes'][$options_id] = $options_values_id;
         }
       }

     if ($products_quantite != '') {
//insertion des produits dans la table ORDERS_PRODUCTS
    $products = $shoppingCart->get_products();
    for ($i = 0; $i < sizeof($products); $i++) {
    $sql_data_array = array('orders_id' => $oID, 
                            'products_id' => (int)$products[$i]['id'], 
                            'products_model' => $products[$i]['model'], 
                            'products_name' => $products[$i]['name'], 
                            'products_price' => (float)$products[$i]['price'], 
                            'final_price' => (float)$products[$i]['final_price'], 
                            'products_tax' => (float)(tep_get_tax_rate($products[$i]['tax_class_id'])), 
                            'products_quantity' => (int)$products[$i]['quantity']);
    tep_db_perform(TABLE_ORDERS_PRODUCTS, $sql_data_array);
    $order_products_id = tep_db_insert_id();

//insertion des attributs dans la table ORDERS_PRODUCTS_ATTRIBUTES
        $attributes = $shoppingCart->get_attributes($fidproduit);
        if (is_array($products[$i]['attributes'])) reset($products[$i]['attributes']);
        for($j = 0; $j < sizeof($products[$i]['attributes']); $j++) {
        $sql_data_array = array('orders_id' => $oID, 
                                'orders_products_id' => $order_products_id, 
                                'products_options' => $attributes[$j]['products_options'],
                                'products_options_values' => $attributes[$j]['products_options_values'], 
                                'options_values_price' => $attributes[$j]['options_values_price'], 
                                'price_prefix' => $attributes[$j]['price_prefix']);
      if ($sql_data_array['products_options_values'] != '') {
      tep_db_perform(TABLE_ORDERS_PRODUCTS_ATTRIBUTES, $sql_data_array); 
           }
       }

//mise a jour du Stock dans la table PRODUCTS
        tep_db_query("update " . TABLE_PRODUCTS . " set products_quantity = (products_quantity - '" . (int)$products[$i]['quantity'] . "') where products_id = '" . (int)$products[$i]['id'] . "'");
      } //for produits

//insertion de la Taxe du produit (si celle-ci n'existe pas)
         $products_tax_query = tep_db_query("select products_tax from " . TABLE_ORDERS_PRODUCTS . " where orders_products_id = '" . (int)$order_products_id . "'");
         $products_tax = tep_db_fetch_array($products_tax_query);

         $tax_description_query = tep_db_query("select tax_description from " . TABLE_TAX_RATES . " where tax_rate = '" . $products_tax['products_tax'] . "'");
         $tax_description = tep_db_fetch_array($tax_description_query);

         $order_tax_check = tep_db_query("select title from " . TABLE_ORDERS_TOTAL . " where class = 'ot_tax' and orders_id = '" . (int)$oID . "' and title = '" . $tax_description['tax_description'] . ":'");
         $order_tax = tep_db_fetch_array($order_tax_check);

         $sql_data_array = array('orders_id' => $oID, 
                                'title' => $tax_description['tax_description'] . ':', 
                                'text' => '',
                                'value' => '', 
                                'class' => 'ot_tax', 
                                'sort_order' => MODULE_ORDER_TOTAL_TAX_SORT_ORDER);

          if ( $order_tax['title'] == '' ) {
         tep_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array);
        }

        tep_redirect(tep_href_link(FILENAME_ORDERS_AVOIR, tep_get_all_get_params(array('action')) . 'action=maj_order'));
   }
        break;
// ############################ - Fin ajouter un produit ############################

    }
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script type="text/javascript" src="includes/general.js"></script>
</head>
<body>
<!-- header //-->
<?php
  require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" summary="" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" summary="" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- table et td de gauche //-->
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" summary="" width="100%" cellspacing="0" cellpadding="2">

      <tr>
        <td width="100%"><table border="0" summary="" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
            <td class="pageHeading" align="right"><?php echo '<a href="' . tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_back.gif', IMAGE_BACK) . '</a>'; ?></td>
          </tr>

          <tr>
            <td colspan="3"><?php echo tep_draw_separator(); ?></td>
          </tr>

         <tr>

            <td valign="top"><table summary="" width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><b><?php echo ENTRY_CUSTOMER; ?></b></td>
                <td class="main"><?php echo tep_address_format($order->customer['format_id'], $order->customer, 1, '', '<br>'); ?></td>
              </tr>
              <tr>
                <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
              </tr>
              <tr>
                <td class="main"><b><?php echo ENTRY_TELEPHONE_NUMBER; ?></b></td>
                <td class="main"><?php echo $order->customer['telephone']; ?></td>
              </tr>
              <tr>
                <td class="main"><b><?php echo ENTRY_EMAIL_ADDRESS; ?></b></td>
                <td class="main"><?php echo '<a href="mailto:' . $order->customer['email_address'] . '"><u>' . $order->customer['email_address'] . '</u></a>'; ?></td>
              </tr>
            </table></td>

            <td valign="top"><table summary="" width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><b><?php echo ENTRY_SHIPPING_ADDRESS; ?></b></td>
                <td class="main"><?php echo tep_address_format($order->delivery['format_id'], $order->delivery, 1, '', '<br>'); ?></td>
              </tr>
            </table></td>
            <td valign="top"><table summary="" width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><b><?php echo ENTRY_BILLING_ADDRESS; ?></b></td>
                <td class="main"><?php echo tep_address_format($order->billing['format_id'], $order->billing, 1, '', '<br>'); ?></td>
              </tr>
            </table></td>
        </tr>

        </table></td>
      </tr>
<!-- table titre //-->

      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" summary="" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><b><?php echo ENTRY_PAYMENT_METHOD; ?></b></td>
            <td class="main"><?php echo $order->info['payment_method']; ?></td>
          </tr>
<?php
    if (tep_not_null($order->info['cc_type']) || tep_not_null($order->info['cc_owner']) || tep_not_null($order->info['cc_number'])) {
?>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_TYPE; ?></td>
            <td class="main"><?php echo $order->info['cc_type']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_OWNER; ?></td>
            <td class="main"><?php echo $order->info['cc_owner']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_NUMBER; ?></td>
            <td class="main"><?php echo $order->info['cc_number']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_EXPIRES; ?></td>
            <td class="main"><?php echo $order->info['cc_expires']; ?></td>
          </tr>
<?php
    }
?>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>

<!-- ####################### Début de la facture d'avoir ###########################  -->
      <tr>
        <td><table border="1" summary="" width="100%" cellspacing="0" cellpadding="2">
          <tr class="dataTableHeadingRow">
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DELETE; ?></td>
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_QUANTITY; ?></td>
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS_MODEL; ?></td>
        <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TAX; ?></td>
        <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRICE_EXCLUDING_TAX; ?></td>
        <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRICE_INCLUDING_TAX; ?></td>
        <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TOTAL_EXCLUDING_TAX; ?></td>
        <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TOTAL_INCLUDING_TAX; ?></td>
      </tr>

<!-- ######### Début du formulaire pour la mis à jour ############# -->
<?php echo tep_draw_form('majorder', FILENAME_ORDERS_AVOIR, tep_get_all_get_params(array('action')) . 'action=maj_order'); ?>

<?php

    for ($i = 0, $n = sizeof($order->products); $i < $n; $i++) {


//------------récuperer les données du produit-----------------

      echo '      <tr class="dataTableRow">' . "\n" .

           '        <td class="main" align="center"> <a href="' . tep_href_link(FILENAME_ORDERS_AVOIR, tep_get_all_get_params(array('action')) . 'action=remove_products&remove_products_id='.$order->products[$i]['orders_products_id'].'', 'NONSSL').'">' . tep_image(DIR_WS_IMAGES . 'poubelle.gif', IMAGE_BUTTON_REMOVE_PRODUCT, 16, 22) . '</a></td><td class="dataTableContent" valign="middle" align="right"><input type="text" name="fproducts_quantite_maj[]" id="fproducts_quantite_maj[]" value="' . $order->products[$i]['qty'] .  '" size="5"> </td>' . "\n" .
           '        <td class="dataTableContent" valign="middle"><input type="hidden" name="forders_products_id_maj[]" id="forders_products_id_maj[]" value="' . $order->products[$i]['orders_products_id'] . '">' . $order->products[$i]['name'];

      if (isset($order->products[$i]['attributes']) && (($k = sizeof($order->products[$i]['attributes'])) > 0)) {
        for ($j = 0; $j < $k; $j++) {
          echo '<br><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . $order->products[$i]['attributes'][$j]['value'];
          if ($order->products[$i]['attributes'][$j]['price'] != '0') echo ' (' . $order->products[$i]['attributes'][$j]['prefix'] . $currencies->format($order->products[$i]['attributes'][$j]['price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ')';
          echo '</i></small></nobr>';
        }
      }

      echo '        </td>' . "\n" .
           '        <td class="dataTableContent" valign="middle">'  . $order->products[$i]['model'] . '</td>' . "\n";
      echo '        <td class="dataTableContent" align="right" valign="middle">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
           '        <td class="dataTableContent" align="right" valign="middle"><b>' . $currencies->format($order->products[$i]['final_price'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
           '        <td class="dataTableContent" align="right" valign="middle"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true), true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
           '        <td class="dataTableContent" align="right" valign="middle"><b>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
           '        <td class="dataTableContent" align="right" valign="middle"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n";
      echo '      </tr>' . "\n";

    }
?>

        </table></td>
      </tr>

<tr>
<td  align="right" class="main"><table border="1" cellspacing="0" cellpadding="5"><?php

// Traitement des frais de port
for ($i = 0, $n = sizeof($order->fdp); $i < $n; $i++) {
echo '          <tr class="dataTableRow">' . "\n" .
         '            <td align="right" class="dataTableContent"><input type="text" name="ffdp_titre[]" id="ffdp_titre[]" value="' . $order->fdp[$i]['titre_fdp'], '" size=60></td>' . "\n" .
         '            <td align="right" class="dataTableContent"><input type="text" name="ffdp_prix[]" id="ffdp_prix[]" value="' . $order->fdp[$i]['fdp'], '" size=5' . '></td>' . "\n" .
         '          </tr>' . "\n";
}
?>
</table>
</td>
      </tr>

          <tr>
            <td align="right" colspan="8"><table border="0" summary="" cellspacing="0" cellpadding="2">
<?php

 for ($i = 0, $n = sizeof($order->totals); $i < $n; $i++) {

    echo '          <tr>' . "\n" .
         '            <td align="right" class="smallText">' . $order->totals[$i]['title'] . '</td>' . "\n" .
         '            <td align="right" class="smallText">' . $order->totals[$i]['text'] . '</td>' . "\n" .
         '          </tr>' . "\n";
  }
?>

<tr>

<td colspan="8" class="main" align="right"><?php echo tep_image_submit('button_update.gif', IMAGE_UPDATE) . '<input type="hidden" name="maj_order" id="maj_order" value="maj_order">
'; ?></td>

      </tr>

</form>
            </table></td>
          </tr>
<!-- table total //-->
<!-- ######### Fin du formulaire pour la mis à jour ############# -->

      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>

    <tr>
      <td class="main"><table border="1" cellspacing="0" cellpadding="5">

       <tr>
        <td colspan="3" class="main" align="center"><b><?php echo TABLE_HEADING_ADD_PRODUCTS; ?></b></td>
       </tr>
       <tr class="dataTableHeadingRow">
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_QUANTITY; ?></td>
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS_ATTRIBUT; ?></td>
      </tr>

<?php

//############# Menu deroulant avec remplissage auto des champs ####################

//données produits du menu déroulant
 $products_query = tep_db_query("select p.products_id, p.products_tax_class_id, pd.products_name, p.products_price from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' order by products_name");

    $index_products = 0;

while ($products = tep_db_fetch_array($products_query)) {

        $products_id[] = $products['products_id'];
        $products_name[] = $products['products_name'];
        $products_price[] = $products['products_price'];
        $products_tax[] = $products['products_tax_class_id'];

   $index_products++;
        }


echo tep_draw_form('addproduit', FILENAME_ORDERS_AVOIR, tep_get_all_get_params(array('action')) . 'action=ajouter');
?>

       <tr>
<td class="main"><input type="text" name="fproducts_quantite_add" id="fproducts_quantite_add" value="" size="5"></td>

<td class="main">

<?php
   $products_array[] = array('id'=>'-1', 'text'=>TEXT_CHOIX_PRODUIT);

for($i = 0; $i < $index_products; $i++) {
   $products_array[] = array('id'=>$products_id[$i], 'text'=>($products_name[$i] . ' (' . $currencies->format($products_price[$i], true) . ')'));
   }
echo tep_draw_pull_down_menu('fmenu_products', $products_array, '', PARAM_SIZE_TEXT . ' onChange="this.form.submit();"', false);
?>

</td>
<td></td>
</tr>
    <?php

    if(isset($fidproduit) && $fidproduit != -1)
    {

//Les options du produit-----------------------------------------------------
      $products_options_name_query = tep_db_query("select distinct popt.products_options_id, popt.products_options_name from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$fidproduit . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "' order by popt.products_options_name");

      while ($products_options_name = tep_db_fetch_array($products_options_name_query)) {
        $products_options_array = array();
        $products_options_query = tep_db_query("select pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . (int)$fidproduit . "' and pa.options_id = '" . (int)$products_options_name['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$languages_id . "'");

        while ($products_options = tep_db_fetch_array($products_options_query)) {
          $products_options_array[] = array('id' => $products_options['products_options_values_id'], 'text' => $products_options['products_options_values_name']);
          if ($products_options['options_values_price'] != '0') {
            $products_options_array[sizeof($products_options_array)-1]['text'] .= ' (' . $products_options['price_prefix'] . $currencies->display_price($products_options['options_values_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) .') ';
          }
        }
?>
             <tr>
              <td></td><td></td>
              <td class="main"><?php echo tep_draw_pull_down_menu('attributes_options_id[' . $products_options_name['products_options_id'] . ']', $products_options_array); ?></td>
             </tr>

<?php
      }
//Fin options produit------------------------------------------------------
    }
?>

       <tr>
        <td colspan="3" class="main" align="center"><?php echo tep_image_submit('button_insert.gif', IMAGE_INSERT); ?></td>
      </tr>

</form>

<!-- ########### Fin de la facture d'avoir ######################  -->

</table>
</td>
      </tr>
<!-- table ajouter produit //-->

      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td class="main"><table border="1" cellspacing="0" cellpadding="5">
          <tr>
            <td class="smallText" align="center"><b><?php echo TABLE_HEADING_DATE_ADDED; ?></b></td>
            <td class="smallText" align="center"><b><?php echo TABLE_HEADING_CUSTOMER_NOTIFIED; ?></b></td>
            <td class="smallText" align="center"><b><?php echo TABLE_HEADING_STATUS; ?></b></td>
            <td class="smallText" align="center"><b><?php echo TABLE_HEADING_COMMENTS; ?></b></td>
<?php
/* #CHAVEIRO3# Tracking begin*/
?>
           <td class="smallText" align="center"><b><?php //echo TABLE_HEADING_TRACKING; ?></b></td>
<?php
/* #CHAVEIRO3# Tracking end*/
?>

          </tr>
<?php
    /* #CHAVEIRO3# Tracking begin*/
$orders_history_query = tep_db_query("select orders_status_id, date_added, customer_notified, comments from " . TABLE_ORDERS_STATUS_HISTORY . " where orders_id = '" . tep_db_input($oID) . "' order by date_added");
/* #CHAVEIRO3# Tracking end*/

    if (tep_db_num_rows($orders_history_query)) {
      while ($orders_history = tep_db_fetch_array($orders_history_query)) {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" align="center">' . tep_datetime_short($orders_history['date_added']) . '</td>' . "\n" .
             '            <td class="smallText" align="center">';
        if ($orders_history['customer_notified'] == '1') {
          echo tep_image(DIR_WS_ICONS . 'tick.gif', ICON_TICK) . "</td>\n";
        } else {
          echo tep_image(DIR_WS_ICONS . 'cross.gif', ICON_CROSS) . "</td>\n";
        }
        echo '            <td class="smallText">' . $orders_status_array[$orders_history['orders_status_id']] . '</td>' . "\n" .
             '            <td class="smallText">' . nl2br(tep_db_output($orders_history['comments'])) . '&nbsp;</td>' . "\n" .
/* #CHAVEIRO3# Tracking begin
      '            <td class="smallText">' .
        ( empty( $orders_history['track_num'] ) ? '&nbsp;' : '<a href="' . URL_TO_TRACK1 . nl2br(tep_output_string_protected(nl2br(tep_db_output($orders_history['track_num'])))) . '" target="_blank">' . nl2br(tep_output_string_protected(nl2br(tep_db_output($orders_history['track_num'])))) . '</a>&nbsp;&nbsp;') .
        ( empty( $orders_history['track_num2'] ) ? '&nbsp;' : '<a href="' . URL_TO_TRACK2 . nl2br(tep_output_string_protected(nl2br(tep_db_output($orders_history['track_num2'])))) . '" target="_blank">' . nl2br(tep_output_string_protected(nl2br(tep_db_output($orders_history['track_num2'])))) . '</a>&nbsp;&nbsp;') .    '&nbsp;</td>' . "\n" .
#CHAVEIRO3# Tracking end*/
             '          </tr>' . "\n";
      }
    } else {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" colspan="5">' . TEXT_NO_ORDER_HISTORY . '</td>' . "\n" .
             '          </tr>' . "\n";
    }
?>
        </table></td>
      </tr>
      <tr>
        <td class="main"><br><b><?php echo TABLE_HEADING_COMMENTS; ?></b></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
      </tr>
      <tr><td colspan="2"><?php echo tep_draw_form('status', FILENAME_ORDERS_AVOIR, tep_get_all_get_params(array('action')) . 'action=update_order'); ?><table border="0" summary="" width="100%" cellspacing="0" cellpadding="2"><tr>
        <td class="main"><?php echo tep_draw_textarea_field('comments', 'soft', '60', '5'); ?></td>
      </tr>
<?php
/* #CHAVEIRO3# Tracking begin*/
?>
     <tr>
       <td class="main"><br><b><?php //echo TABLE_HEADING_TRACKING; ?></b></td>
     </tr>
     <tr>
       <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
     </tr>
  <tr>
 <td class="smallText"><b><?php //echo TABLE_HEADING_TRACK1; ?></b>&nbsp;<?php //echo tep_draw_input_field('track_num', '', 'size=/"20/"'); ?>&nbsp;&nbsp;<b><?php //echo TABLE_HEADING_TRACK2; ?></b>&nbsp;<?php //echo tep_draw_input_field('track_num2', '', 'size=/"20/"'); ?>&nbsp;&nbsp;<b></td>
     </tr>
<?php
/* #CHAVEIRO3# Tracking end*/
?>

      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" summary="" cellspacing="0" cellpadding="2">
          <tr>
            <td><table border="0" summary="" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main"><b><?php echo ENTRY_STATUS; ?></b> <?php echo tep_draw_pull_down_menu('status', $orders_statuses, $order->info['orders_status']); ?></td>
              </tr>
              <tr>
                <td class="main"><b><?php echo ENTRY_NOTIFY_CUSTOMER; ?></b> <?php echo tep_draw_checkbox_field('notify', '', true); ?></td>
                <td class="main"><b><?php echo ENTRY_NOTIFY_COMMENTS; ?></b> <?php echo tep_draw_checkbox_field('notify_comments', '', true); ?></td>
<?php
/* #CHAVEIRO3# Tracking begin*/
?>
   <td class="main"><b><?php //echo ENTRY_NOTIFY_TRACKING; ?></b> <?php //echo tep_draw_checkbox_field('notify_tracking', '', true); ?></td>
<?php
/* #CHAVEIRO3# Tracking end*/
?>

              </tr>
            </table></td>
            <td valign="top"><?php echo tep_image_submit('button_update.gif', IMAGE_UPDATE); ?></td>
          </tr>
        </table></td></tr></table>
      </form></td></tr>
      <tr>
        <td colspan="2" align="right"><?php echo '<a href="' . tep_href_link(FILENAME_ORDERS_INVOICE_AVOIR, 'oID=' . $HTTP_GET_VARS['oID']) . '" TARGET="_blank">' . tep_image_button('button_invoice_avoir.gif', IMAGE_ORDERS_INVOICE_AVOIR) . '</a> <a href="' . tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_back.gif', IMAGE_BACK) . '</a>'; ?></td>
      </tr>

      </form>

    </table></td>
<!-- table et td de droite //-->
<!-- body_text_eof //-->

  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>